#ifndef __OLED_H
#define __OLED_H


#include "at32f4xx_gpio.h"	  	 
 
#define  u8 unsigned char 
#define  u16 unsigned int
#define  u32 unsigned int
	
#define OLED_CMD  0	//写命令
#define OLED_DATA 1	//写数据

		

			


//-----------------OLED端口定义----------------

#define OLED_SCL_Clr() GPIO_ResetBits(GPIOA,GPIO_Pins_4)
#define OLED_SCL_Set() GPIO_SetBits(GPIOA,GPIO_Pins_4)

#define OLED_SDA_Clr() GPIO_ResetBits(GPIOA,GPIO_Pins_6)
#define OLED_SDA_Set() GPIO_SetBits(GPIOA,GPIO_Pins_6)





//OLED控制用函数
void delay_ms(unsigned int ms);
void OLED_ColorTurn(u8 i);
void OLED_DisplayTurn(u8 i);
void OLED_WR_Byte(u8 dat,u8 cmd);
void OLED_Set_Pos(u8 x, u8 y);
void OLED_Display_On(void);
void OLED_Display_Off(void);
void OLED_Clear(void);
void OLED_ShowChar(u8 x,u8 y,u8 chr,u8 sizey);
u32 oled_pow(u8 m,u8 n);
void OLED_ShowNum(u8 x,u8 y,u32 num,u8 len,u8 sizey);
void OLED_ShowString(u8 x,u8 y,u8 *chr,u8 sizey);
void OLED_ShowChinese(u8 x,u8 y,u8 no,u8 sizey);
void OLED_DrawBMP(u8 x,u8 y,u8 sizex, u8 sizey,u8 BMP[]);
void OLED_Init(void);

#endif  
	 



